package jp.co.ois.sample.batch;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;

import lombok.extern.slf4j.Slf4j;


/**
 * ほげ.
 */
@EnableAutoConfiguration
@ComponentScan
@Slf4j
public class HogeApp {

    public static void main(String[] args) throws Exception {
        log.info("start... {}", String.join(", ", args));
        ApplicationContext context = SpringApplication.run(HogeApp.class, args);
        int exitCode = SpringApplication.exit(context);
        log.info("exit... {}", exitCode);
        System.exit(exitCode);
    }
}
