package jp.co.ois.sample.batch.process;

import org.springframework.batch.core.JobExecution;
import org.springframework.batch.core.listener.JobExecutionListenerSupport;

import lombok.extern.slf4j.Slf4j;

/**
 * ジョブリスナークラス
 */
@Slf4j
public class JobListener extends JobExecutionListenerSupport {

    @Override
    public void beforeJob(JobExecution jobExecution) {
        log.debug("called. {}", jobExecution);
        super.beforeJob(jobExecution);
    }

    @Override
    public void afterJob(JobExecution jobExecution) {
        log.debug("called. {}", jobExecution);
        super.afterJob(jobExecution);
    }

}
