package jp.co.ois.sample.batch.process;

import org.springframework.batch.item.ItemProcessor;

import jp.co.ois.sample.batch.model.HogeInfo;
import jp.co.ois.sample.batch.model.HogeLine;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class HogeProcessor implements ItemProcessor<HogeLine, HogeInfo> {

    public HogeProcessor() {
        log.debug("called.");
    }

    @Override
    public HogeInfo process(HogeLine line) throws Exception {
        log.debug("called. {}", line);
        String[] cols = line.getLine().split(",");
        return new HogeInfo(cols[0], cols[1]);
    }
}
